Bem vindo ao brockdev.com, não seja tímido compartilhe suas duvidas e conhecimento. :D

Váriavel valor total do pedido ?

124

Comentários

  • ESSE É O ERRO QUE APARECE EM var/report
    a:5:{i:0;s:199:"Error in file: "/home/mezzbrin/public_html/app/code/core/Mage/Admin/sql/admin_setup/install-1.6.0.0.php" - SQLSTATE[42S01]: Base table or view already exists: 1050 Table 'admin_assert' already exists";i:1;s:968:"#0 /home/mezzbrin/public_html/app/code/core/Mage/Core/Model/Resource/Setup.php(645): Mage::exception('Mage_Core', 'Error in file: ...')
    #1 /home/mezzbrin/public_html/app/code/core/Mage/Core/Model/Resource/Setup.php(421): Mage_Core_Model_Resource_Setup->_modifyResourceDb('install', '', '1.6.1.0')
    #2 /home/mezzbrin/public_html/app/code/core/Mage/Core/Model/Resource/Setup.php(327): Mage_Core_Model_Resource_Setup->_installResourceDb('1.6.1.0')
    #3 /home/mezzbrin/public_html/app/code/core/Mage/Core/Model/Resource/Setup.php(235): Mage_Core_Model_Resource_Setup->applyUpdates()
    #4 /home/mezzbrin/public_html/app/code/core/Mage/Core/Model/App.php(417): Mage_Core_Model_Resource_Setup::applyAllUpdates()
    #5 /home/mezzbrin/public_html/app/code/core/Mage/Core/Model/App.php(343): Mage_Core_Model_App->_initModules()
    #6 /home/mezzbrin/public_html/app/Mage.php(683): Mage_Core_Model_App->run(Array)
    #7 /home/mezzbrin/public_html/index.php(87): Mage::run('', 'store')
    #8 {main}";s:3:"url";s:1:"/";s:11:"script_name";s:10:"/index.php";s:4:"skin";s:7:"default";}
  • Abraao Marques Moderador Global
    Cara, você disse que depois de ter posto o backup antigo, removeu os arquivos da pasta var/cache. Mas você removeu, também, o conteúdo da pasta var/session?

    Testa isso aí.
  • Abraao Marques Moderador Global
    É o mesmo erro que você passou acima.
  • Voc~e entendeu como faz pq eu não. Na verdade nunca entendo as soluções do stackoverflow
  • Abraao Marques Moderador Global
    Aí, acessa o arquivo: app/code/core/Mage/Admin/etc/config.xml e veja qual a versão que aparece na tag s<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;Mage_Admin&gt;<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;version&gt;NÚMERO DA VERSÃO AQUI&lt;/version&gt;<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;/Mage_Admin&gt;<br><br>Depois, abra a tabela "core_resource" veja se as versões são iguais.<br>
  • Abraao Marques Moderador Global
    Novamente, deu zica acima:

    Acessa o arquivo: app/code/core/Mage/Admin/etc/config.xml. Na tag "version", logo no início do arquivo, veja a versão que aparece.

    Na tabela "core_resource" veja se a versão é igual a da tag "version"
  • vou esperar o suporte do servidor  disse pra eu parar de alterar q eles estão tentando restaurar o backup
  • Abraao Marques Moderador Global
    Se tem suporte no servidor, aguarda, sim. Essa é a melhor solução.
  • É funcionou mesmo eles restauraram o backup o site tá no ar, mas agora vejo que no admin não consigo acessar o item ORDENS do menu VENDAS! O mesmo erro de antes.
    E meus e-mails também n]ão estão funcionando eles pedem senha toda hora
  • agora está dando o erro...

    2014-09-24T21:06:14+00:00 ERR (3): Warning: simplexml_load_string(): Entity: line 2: parser error : XML declaration allowed only at the start of the document  in /home/mezzbrin/public_html/app/code/core/Mage/Core/Model/Layout/Update.php on line 450
    2014-09-24T21:06:14+00:00 ERR (3): Warning: simplexml_load_string(): &lt;?xml version=&quot;1.0&quot;?&gt;  in /home/mezzbrin/public_html/app/code/core/Mage/Core/Model/Layout/Update.php on line 450
    2014-09-24T21:06:14+00:00 ERR (3): Warning: simplexml_load_string():      ^  in /home/mezzbrin/public_html/app/code/core/Mage/Core/Model/Layout/Update.php on line 450
    2014-09-24T21:06:17+00:00 ERR (3): Warning: simplexml_load_string(): Entity: line 2: parser error : XML declaration allowed only at the start of the document  in /home/mezzbrin/public_html/app/code/core/Mage/Core/Model/Layout/Update.php on line 450
    2014-09-24T21:06:17+00:00 ERR (3): Warning: simplexml_load_string(): &lt;?xml version=&quot;1.0&quot;?&gt;  in /home/mezzbrin/public_html/app/code/core/Mage/Core/Model/Layout/Update.php on line 450
    2014-09-24T21:06:17+00:00 ERR (3): Warning: simplexml_load_string():      ^  in /home/mezzbrin/public_html/app/code/core/Mage/Core/Model/Layout/Update.php on line 450
    2014-09-24T21:06:22+00:00 ERR (3): Warning: simplexml_load_string(): Entity: line 2: parser error : XML declaration allowed only at the start of the document  in /home/mezzbrin/public_html/app/code/core/Mage/Core/Model/Layout/Update.php on line 450
    2014-09-24T21:06:22+00:00 ERR (3): Warning: simplexml_load_string(): &lt;?xml version=&quot;1.0&quot;?&gt;  in /home/mezzbrin/public_html/app/code/core/Mage/Core/Model/Layout/Update.php on line 450
    2014-09-24T21:06:22+00:00 ERR (3): Warning: simplexml_load_string():      ^  in /home/mezzbrin/public_html/app/code/core/Mage/Core/Model/Layout/Update.php on line 450
  • o suporte restaurou um backup e agora meus e-mails não funcionam, ainda não consigo acessar o item PEDIDOS do menu VENDAS, e a versão do magento foi upada para 1.9 não consigo finalizar os pedidos nem receber e-mails, foda! :(
  • Abraao Marques Moderador Global
    Mas a sua versão do magento não era 1.7? Qual o erro que ocorre para abrir os pedidos?
  • Sim era 1.7 mas na restauração o suporte upou pra 1.9, mas eles já resolveram :)

    dos pedidos não consigo acessa-los.


    2014-09-26T12:09:37+00:00 ERR (3): Warning: simplexml_load_string(): Entity: line 2: parser error : XML declaration allowed only at the start of the document  in /home/mezzbrin/public_html/app/code/core/Mage/Core/Model/Layout/Update.php on line 444

    2014-09-26T12:21:36+00:00 ERR (3): Warning: simplexml_load_string():      ^  in /home/mezzbrin/public_html/app/code/core/Mage/Core/Model/Layout/Update.php on line 444

  • Abraao Marques Moderador Global
    Dá uma olhada no arquivo app/code/local/PagSeguro/PagSeguro/etc/config.xml veja se há repetição, logo no início do arquivo, da declaração <?xml version="1.0"?>.

    Por exemplo:

    <?xml version="1.0"?>
    <?xml version="1.0"?>

    Se tiver, deixe apenas uma declaração e testa novamente.


    Um abraço.
  • Antes de fazer essa verificação, verifiquei o log e atualizou o erro...

    2014-09-26T13:10:28+00:00 ERR (3): Warning: require_once(/home/mezzbrin/public_html/app/code/local/PagSeguro/PagSeguro/Model/Updates.php): failed to open stream: No such file or directory  in /home/mezzbrin/public_html/app/code/local/Mage/Adminhtml/Block/Sales/Order/Grid.php on line 6

  • brunowdbrunowd Usuário
    editado September 2014
    no caminho  app/code/community/BrunoAssarisse/PagSeguro/etc/config.xml

    <?xml version="1.0"?>

  • brunowdbrunowd Usuário
    editado September 2014

  • Acho que já sei....
    o erro no Grid.php é na linha 6

    a linha 6 é essa:

    require_once MAGENTO_ROOT . '/app/code/local/PagSeguro/PagSeguro/Model/Updates.php';

    e eu não tenho esses arquivos só na instalação limpa de desenvolvimento

  • Tu acha que eu upando o módulo oficial do pagseguro funciona, será q vai dar pau de novo?
  • Abraao Marques Moderador Global
    brunowd disse:

    Acho que já sei....

    o erro no Grid.php é na linha 6

    a linha 6 é essa:

    require_once MAGENTO_ROOT . '/app/code/local/PagSeguro/PagSeguro/Model/Updates.php';

    e eu não tenho esses arquivos só na instalação limpa de desenvolvimento


    Cara, é justamente isso que eu ia te perguntar: qual o módulo que você está usando? Então, pelo que vejo, ele está chamando um módulo que não há na sua instalação. Por isso, está dando erro ao formar o xml.

    O módulo que você está usando é o do DavisonArthur ou do Bruno Assarisse?
  • do Bruno Assarisse
  • Eu estou baixando os arquivos da public_html via ftp, fazendo o backup pra não dar mais erro e ter problemas depois de fazer a alteração.
  • Bah Abraao muit estranho... se eu coloco os dois módulos o pagseguro dae mostra o menu pedidos pra mim e ainda erro de url 404 quando finaliza a compra que irira direto pra pagseguro, se eu colocar só um deles dá erro no menu PEDIDOS a e no final do pedido vai pro pagseguro, muito louco

    acho q deveria fazer algo aqui... 
    ?php
    /**
     * Adminhtml sales orders grid PagSeguro
     */

    require_once MAGENTO_ROOT . '/app/code/local/PagSeguro/PagSeguro/Model/Updates.php';

    use Mage_Adminhtml_Block_Widget_Grid as WidgetGrid;

    class Mage_Adminhtml_Block_Sales_Order_Grid extends WidgetGrid
    {

        public function __construct()
        {
            parent::__construct();
            $this->setId('sales_order_grid');
            $this->setUseAjax(true);
            $this->setDefaultSort('created_at');
            $this->setDefaultDir('DESC');
            $this->setSaveParametersInSession(true);

        }
  • Abraao Marques Moderador Global
    Os dois juntos estão entrando em conflito. Você já tentou usar um de cada vez? Tenta apenas com um módulo, se não der, tenta apenas com o outro.

    Você não consegue, com a equipe do seu servidor, pedir um backup de um dia antes, por exemplo, da modificação inicial que fez no código?
  • se eu colocar só um deles dá erro no menu PEDIDOS a e no final do pedido vai pro pagseguro, muito louco.
    Já fizeram a restauração de 10 dias antes da alteração e isso não resolveu, estout estando agora exclui os dois vou colocar o Pagseguro Oficial, depois o do Bruno.
  • Removi os arquivos dos 2 módulos... o menu de pedidos(backend) não funciona(tela branca).
    Instalei o oficial e funcionou... somente na instalação de testes, na loja pronta quando redireciona pro pagseguro aparece página branca... http://www.mezzbrindes.com.br/pagseguro/payment/request/

    Não entendo :(

  • Agora está funcionando, :) não sei ao certo...

    Mas a única coisa q anotei(fui vendo arquivo por arquivo) é que no caminho

    app/etc/modules  não possui o arquivo Pagseguro_Pagseguro.xml isso na instalação de testes, e na loja pronta sim, exclui e pronto, só um detalhe o módulo do pagseguro oficial não funcionou...
    Agora estou usando o do BrunoAssarisse agora, e tá funcionando :)  :) 
    Mas e agora tem como tu instalar ele pra poder acrescentar essa taxa?
    Obrigado.
  • Tentei adicionar a linha
     $_tax_amount += 15.00;
    No código arquivo Payment.php no caminho  app/code/community/BrunoAssarisse/PagSeguro/Model

            $items = $order->getAllVisibleItems();
            
    $shipping_amount = $order->getBaseShippingAmount();
            $tax_amount = $order->getBaseTaxAmount();
            $_tax_amount += 15.00;
            $discount_amount = $order->getBaseDiscountAmount();

    Mas não é o arquivo certo kk pois não teve alteração kk
Entre ou Registre-se para fazer um comentário.